unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, nrclasses, nrcomm, StdCtrls, nrcommbox, nrterminal, ExtCtrls,
  nrlogfile;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    CheckBox1: TCheckBox;
    Button1: TButton;
    nrTerminal1: TnrTerminal;
    nrDeviceBox1: TnrDeviceBox;
    nrComm1: TnrComm;
    nrLogFile1: TnrLogFile;
    procedure CheckBox1Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  nrComm1.Active := CheckBox1.Checked;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  nrComm1.ConfigDialog;
end;

end.
